Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins
Class RuleLoader

    java.lang.Object
      org.apache.commons.digester3.plugins.RuleLoader

Direct Known Subclasses:
  LoaderFromClass, LoaderFromStream, LoaderSetProperties

    public abstract class RuleLoader

extends Object

Interface for classes which can dynamically load custom plugin rules associated with a user's plugin class.

Each plugin declaration has an associated RuleLoader instance, and that instance's addRules method is invoked each time the input xml specifies that an instance of that plugged-in class is to be created.

This is an abstract class rather than an interface in order to make it possible to enhance this class in future without breaking binary compatibility; it is possible to add methods to an abstract class, but not to an interface.

Since:
  1.6

Constructor Summary
`RuleLoader()`

Method Summary
`abstract void` | `addRules(Digester d, String path)` Configures the digester with custom rules for some plugged-in class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleLoader

    public RuleLoader()

Method Detail

### addRules

    public abstract void addRules(Digester d,
                                  String path)
                           throws PluginException

  Configures the digester with custom rules for some plugged-in class.

  This method is invoked when the start of an xml tag is encountered which maps to a PluginCreateRule. Any rules added here are removed from the digester when the end of that xml tag is encountered.

  Parameters:
    `d` - The gigester has to be configured
    `path` - The path where rule has to be bound
  Throws:
    `PluginException` - if any error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.